#
# spec file for package yast2-docker
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change spec file in build service directly
#            Use https://github.com/yast/yast-cio repo
#
######################################################################

Name:           yast2-docker
Version:        3.1.7
Release:        8.2
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Requires:       docker >= 1.3
Requires:       yast2 >= 3.1.0
Requires:       yast2-ruby-bindings >= 1.2.0
Requires:       yast2-storage
Requires:       rubygem(%{rb_default_ruby_abi}:docker-api)

BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 3.0.5
BuildRequires:  yast2-devtools
BuildRequires:  yast2-ruby-bindings >= 1.2.0
#for install task
BuildRequires:  rubygem(yast-rake)
# for tests
BuildRequires:  rubygem(rspec)
# for docker api
BuildRequires:  rubygem(docker-api)

Summary:        YaST2 - GUI for docker management
License:        GPL-2.0 or GPL-3.0
Group:          System/YaST
Url:            https://github.com/yast/yast-docker

%description
Provides easy to use GUI for running docker containers.

%prep
%setup -n %{name}-%{version}

%check
rake test:unit

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%{yast_dir}/clients/*.rb
%{yast_dir}/lib/ydocker
%{yast_desktopdir}/docker-config.desktop

%doc COPYING

%changelog
* Thu Jul 23 2015 jmassaguerpla@suse.com
- Release 3.1.7
  - fix for bsc#938441 - prompt before removing container on stop and kill
* Thu Jun 25 2015 fcastelli@suse.com
- Release 3.1.6
  - ensure untagged images can be removed (bnc#935929)
* Tue Jun 23 2015 fcastelli@suse.com
- Ensure yast2-storage is required at runtime
* Wed May  6 2015 aschnell@suse.de
- Release 3.1.5
  - require rubygems of default ruby version (bsc#929899)
* Fri Apr 10 2015 fcastelli@suse.com
- Release 3.1.4
  - Take advantage of 'docker exec' feature and get rid of nsenter.
* Fri Mar  6 2015 ancor@suse.com
- Release 3.1.3
  - Fixed an error handling the cancel button at the ports and
    volumes pop-up windows (bnc#920638)
* Tue Feb 24 2015 ancor@suse.com
- Release 3.1.2
  - Launching from YaST Control Center works properly (bnc#918758)
* Thu Dec  4 2014 jreidinger@suse.com
- Release 3.3.1:
  - Remove X-KDE-Library from desktop file (bnc#899104)
  - First official version for SLE12 as requested by FATE 317923 and
    by bnc#912733
* Mon Sep 22 2014 jreidinger@suse.com
- initial package
